//
//  PaymentViewController.h
//  Payment
//
//  Created by kunii on 10/03/21.
//  Copyright Apple Inc 2010. All rights reserved.
//

#import <UIKit/UIKit.h>

@class StarIndcatorView;
@protocol PaymentViewControllerDelegate;

@interface PaymentViewController : UIViewController<UITextFieldDelegate, UITableViewDataSource, UITableViewDelegate> {
	UITableView*						tableView;				//	除外金表示テーブル
	UILabel*							totalAmoutLabel;		//	合計金額
	UITextField*						amountTextField;		//	入金テキストフィールド
	UIButton*							enterButton;			//	入金ボタン
	UIImageView*						imageView;				//	写真ビュー
	UIImage*							image;					//	写真
	NSMutableArray*						exclusions;				//	除外金配列
	NSNumberFormatter*					numberFormatter;		//	円記号付き金額表示用
	id<PaymentViewControllerDelegate>	paymentDelegate;		//	委譲先
}
@property (nonatomic, retain) IBOutlet UITableView*				tableView;
@property (nonatomic, retain) IBOutlet UILabel*					totalAmoutLabel;
@property (nonatomic, retain) IBOutlet UITextField*				amountTextField;
@property (nonatomic, retain) IBOutlet 	UIButton*				enterButton;
@property (nonatomic, retain) IBOutlet UIImageView*				imageView;
@property (nonatomic, retain) UIImage*							image;
@property (nonatomic, readonly, retain) NSMutableArray*			exclusions;
@property (nonatomic, retain) id<PaymentViewControllerDelegate>	paymentDelegate;

//	入金ボタンが押された
-(IBAction)enterAmount:(id)sender;

@end

@protocol PaymentViewControllerDelegate<NSObject>
//	inAmountの金額が追加された。
-(BOOL)paymentViewController:(PaymentViewController*)ctl
	add:(int)inAmount;
//	配列inAmountAtIndex番目の除外金額を削除していいならYESを返す。
-(BOOL)paymentViewController:(PaymentViewController*)ctl 
	remove:(int)inAmountAtIndex;
@end


/*
	UITextFieldを拡張。
	自分に触れられるとキーボードを表示/日表示する。
*/
@interface XUITextField : UITextField {
}
@end
